Apps
Register and manage mobile apps for deep linking.
Create an App
Authorization
bearerAuth API key in format wl_live_xxx (production) or wl_test_xxx (test).
In: header
Request Body
application/json
1 <= length <= 255Reverse-domain notation, e.g. com.example.myapp
Apple Team ID, e.g. ABCDE12345
Numeric App Store ID
uriJava package name, e.g. com.example.myapp
uriResponse Body
application/json
application/json
application/json
curl -X POST "https://api.warplink.app/v1/apps" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"org_id": "a40f5d1f-d889-42e9-94ea-b9b33585fc6b",
"name": "string",
"ios_bundle_id": "string",
"ios_team_id": "string",
"ios_app_store_id": "string",
"ios_app_store_url": "http://example.com",
"ios_universal_link_paths": [
"string"
],
"android_package_name": "string",
"android_sha256_fingerprints": [
"string"
],
"android_play_store_url": "http://example.com",
"android_app_links_paths": [
"string"
],
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}{
"error": {
"code": "NOT_FOUND",
"message": "Link not found",
"details": {
"fields": [
{
"field": "string",
"message": "string"
}
]
}
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Link not found",
"details": {
"fields": [
{
"field": "string",
"message": "string"
}
]
}
}
}List Apps
Authorization
bearerAuth API key in format wl_live_xxx (production) or wl_test_xxx (test).
In: header
Query Parameters
201 <= value <= 10000 <= valuelength <= 200Response Body
application/json
curl -X GET "https://api.warplink.app/v1/apps"{
"data": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"org_id": "a40f5d1f-d889-42e9-94ea-b9b33585fc6b",
"name": "string",
"ios_bundle_id": "string",
"ios_team_id": "string",
"ios_app_store_id": "string",
"ios_app_store_url": "http://example.com",
"ios_universal_link_paths": [
"string"
],
"android_package_name": "string",
"android_sha256_fingerprints": [
"string"
],
"android_play_store_url": "http://example.com",
"android_app_links_paths": [
"string"
],
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
],
"pagination": {
"total": 0,
"limit": 0,
"offset": 0,
"has_more": true
}
}Get an App
Authorization
bearerAuth API key in format wl_live_xxx (production) or wl_test_xxx (test).
In: header
Path Parameters
uuidResponse Body
application/json
application/json
curl -X GET "https://api.warplink.app/v1/apps/497f6eca-6276-4993-bfeb-53cbbbba6f08"{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"org_id": "a40f5d1f-d889-42e9-94ea-b9b33585fc6b",
"name": "string",
"ios_bundle_id": "string",
"ios_team_id": "string",
"ios_app_store_id": "string",
"ios_app_store_url": "http://example.com",
"ios_universal_link_paths": [
"string"
],
"android_package_name": "string",
"android_sha256_fingerprints": [
"string"
],
"android_play_store_url": "http://example.com",
"android_app_links_paths": [
"string"
],
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}{
"error": {
"code": "NOT_FOUND",
"message": "Link not found",
"details": {
"fields": [
{
"field": "string",
"message": "string"
}
]
}
}
}Update an App
Authorization
bearerAuth API key in format wl_live_xxx (production) or wl_test_xxx (test).
In: header
Path Parameters
uuidRequest Body
application/json
1 <= length <= 255uriuriResponse Body
application/json
application/json
application/json
application/json
curl -X PATCH "https://api.warplink.app/v1/apps/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{}'{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"org_id": "a40f5d1f-d889-42e9-94ea-b9b33585fc6b",
"name": "string",
"ios_bundle_id": "string",
"ios_team_id": "string",
"ios_app_store_id": "string",
"ios_app_store_url": "http://example.com",
"ios_universal_link_paths": [
"string"
],
"android_package_name": "string",
"android_sha256_fingerprints": [
"string"
],
"android_play_store_url": "http://example.com",
"android_app_links_paths": [
"string"
],
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}{
"error": {
"code": "NOT_FOUND",
"message": "Link not found",
"details": {
"fields": [
{
"field": "string",
"message": "string"
}
]
}
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Link not found",
"details": {
"fields": [
{
"field": "string",
"message": "string"
}
]
}
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Link not found",
"details": {
"fields": [
{
"field": "string",
"message": "string"
}
]
}
}
}Delete an App
Authorization
bearerAuth API key in format wl_live_xxx (production) or wl_test_xxx (test).
In: header
Path Parameters
uuidResponse Body
application/json
application/json
curl -X DELETE "https://api.warplink.app/v1/apps/497f6eca-6276-4993-bfeb-53cbbbba6f08"{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"org_id": "a40f5d1f-d889-42e9-94ea-b9b33585fc6b",
"name": "string",
"ios_bundle_id": "string",
"ios_team_id": "string",
"ios_app_store_id": "string",
"ios_app_store_url": "http://example.com",
"ios_universal_link_paths": [
"string"
],
"android_package_name": "string",
"android_sha256_fingerprints": [
"string"
],
"android_play_store_url": "http://example.com",
"android_app_links_paths": [
"string"
],
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}{
"error": {
"code": "NOT_FOUND",
"message": "Link not found",
"details": {
"fields": [
{
"field": "string",
"message": "string"
}
]
}
}
}